Last Comment Bug 632234 - (mlk2.0) [meta] potentially blocking leaks and quasi-leaks for Firefox 4.0
(mlk2.0)
: [meta] potentially blocking leaks and quasi-leaks for Firefox 4.0
Status: VERIFIED FIXED
: meta, mlk
Product: Core
Classification: Components
Component: General (show other bugs)
: unspecified
: All All
: -- normal with 12 votes (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
:
Mentors:
: 632807 (view as bug list)
Depends on:
Blocks: 598466
  Show dependency treegraph
 
Reported: 2011-02-07 16:13 PST by Nicholas Nethercote [:njn]
Modified: 2011-05-25 21:47 PDT (History)
73 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Nicholas Nethercote [:njn] 2011-02-07 16:13:21 PST
A bunch of leak-like bugs have been reported recently, many of which look bad.  

I figure it's useful to have a meta-bug because (a) some or all of them may have the same root cause (b) it'll help communicate the extent of the problem(s).  

I've CC'd everyone who was CC'd to any of the dependent bugs.  Please add any other leak-like bugs I might have missed.
Comment 1 Andreas Gal :gal 2011-02-07 16:46:47 PST
Blocking on this to get it onto the radar of drivers (plus its blocking a bunch of blockers).
Comment 2 David Mandelin [:dmandelin] 2011-02-07 17:16:38 PST
(In reply to comment #1)
> Blocking on this to get it onto the radar of drivers (plus its blocking a bunch
> of blockers).

Sigh. We need better tools for coordinating this kind of thing. I agree that release drivers should know that we still want to try to crank down memory usage a bit.

But I believe we normally don't block on meta bugs, and personally I think it's weird and confusing to 'block' on bugs that don't have a clear 'fixed' state.
Comment 3 Andreas Gal :gal 2011-02-07 17:19:55 PST
No strong opinion on it. But I do think this is important.
Comment 4 Nicholas Nethercote [:njn] 2011-02-08 03:16:34 PST
http://hg.mozilla.org/mozilla-central/rev/0a2e06927c31 just landed for bug 630947.  If this helps with any of the other bugs it'd be great to know.
Comment 5 Steve Roussey (:sroussey) 2011-02-08 09:20:49 PST
Might note 620218 dealing with large memory issue also.
Comment 6 Nicholas Nethercote [:njn] 2011-02-08 13:18:08 PST
(In reply to comment #5)
> Might note 620218 dealing with large memory issue also.

Thanks for the pointer.  That bug doesn't look leak-related, AFAICT, and so not relevant for this bug.
Comment 7 Kyle Huey [:khuey] (Exited; not receiving bugmail, email if necessary) 2011-02-09 08:22:08 PST
*** Bug 632807 has been marked as a duplicate of this bug. ***
Comment 8 Jason Orendorff [:jorendorff] 2011-02-11 12:11:18 PST
Bug 624186 has a very simple test case which the submitter says leaks 100% of the time.
Comment 9 Nicholas Nethercote [:njn] 2011-03-09 20:14:43 PST
Now that Firefox 4 RC 1 has gone out, I'm closing this bug and copying all the unresolved bugs over to bug 640452, which is about leaks and quasi-leaks in Firefox 5.  Please CC yourself to that bug if you're interested.
Comment 10 George Carstoiu 2011-04-04 09:18:28 PDT
Marking as Verified Fixed as per comment 9.
Comment 11 Nicholas Nethercote [:njn] 2011-05-25 21:47:32 PDT
This bug is being decommissioned in favour of the a new collection of       
per-version leak tracking bugs.  All its dependencies have been removed.    
Bug 659855 is the replacement bug.

Note You need to log in before you can comment on or make changes to this bug.